apiVersion: apps/v1
kind: Deployment
metadata:
  name: app-deployment
  labels:
    name: app-deployment
spec:
  replicas: 1
  selector:
    matchLabels:
      name: app-pod
  template:
    metadata:
      labels:
        name: app-pod
    spec:
      containers:
      - image: guillaumegoutaudier/cloud-native:app
        imagePullPolicy: Always
        name:  app-container
        env:
        - name: MYSQL_ROOT_PASSWORD
          value: "secret"
        ports:
        - containerPort: 5000
